aboutsummaryrefslogtreecommitdiff
path: root/src/pdns-recursor/pdns-recursor.rc
diff options
context:
space:
mode:
Diffstat (limited to 'src/pdns-recursor/pdns-recursor.rc')
-rwxr-xr-xsrc/pdns-recursor/pdns-recursor.rc35
1 files changed, 35 insertions, 0 deletions
diff --git a/src/pdns-recursor/pdns-recursor.rc b/src/pdns-recursor/pdns-recursor.rc
new file mode 100755
index 0000000..992f0b0
--- /dev/null
+++ b/src/pdns-recursor/pdns-recursor.rc
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting PowerDNS recursor"
+ ! /usr/sbin/rec_control ping > /dev/null 2>&1 && /usr/sbin/pdns_recursor --daemon
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon pdns-recursor
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping PowerDNS recursor"
+ rec_control quit > /dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon pdns-recursor
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0